Subject: [Q] Kernel Compilation Error (2.4.0.test2 version)

From: Sun-Gi Hong <[email-masked]>
Date: Tue, 18 Jul 2000 21:27:51 +0900

Greetings,

I've already compiled the kernel 2.4.0.test1 version, now I try to
compile the kernel 2.4.0.test2 version. However, it displays error
messages  when I set the Neponset support. (CONFIG_ASSABET_NEPONSET = y)

The used kernels and patches are as follows.
diff-2.4.0-test2-ac1-rmk2-np3.gz
patch-2.4.0-test2-ac1-rmk2.gz
linux-2.4.0-test2-ac1-rmk2-np3-jd1.patch
patch-2.4.0test2-ac1.gz
linux-2.4.0-test2.tar.gz

Errors occur when compiling the file, /drivers/pcmcia/sa1100_neponset.c.

Furthermore, I cannot configure modules when using "make modules". It
just says "Nothing to de done for 'modules'".
Any ideas?

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: John G Dorsey <[email-masked]>
Date: Tue, 18 Jul 2000 09:37:30 -0400

> messages  when I set the Neponset support. (CONFIG_ASSABET_NEPONSET = y)

Without knowing what the errors are, it's harder to diagnose this. I'll venture
that what you're seeing is in some way related to CONFIG_SA1111 not being
defined in Nicolas' next-to-most-recent patch. (You didn't list -np3-jd1 last;
did you apply it last?)

In any case, Nicolas' latest patch (2.4.0-test4-np1) sounds like a better bet.

> just says "Nothing to de done for 'modules'".

Did you specifically configure anything as a module when setting up the kernel?
The "assabet_config" included in Nicolas' patches puts everything in the kernel
by default. I usually go in and specify `m` for things like the PCMCIA NE2000
(pcnet_cs) driver, and the PCMCIA ATA/IDE (ide_cs) driver.

Good luck,
-jd

---

From: Nicolas Pitre <[email-masked]>
Date: Tue, 18 Jul 2000 09:43:24 -0400 (EDT)

> messages  when I set the Neponset support. (CONFIG_ASSABET_NEPONSET = y)

This patch version was missing the definition of CONFIG_SA1111 when
CONFIG_ASSABET_NEPONSET is selected.  Please use my latest patch which has
many things fixed.

Nicolas